Your submission was sent successfully! Close

CVE-2009-1669

Published: 18 May 2009

The smarty_function_math function in libs/plugins/function.math.php in Smarty 2.6.22 allows context-dependent attackers to execute arbitrary commands via shell metacharacters in the equation attribute of the math function. NOTE: some of these details are obtained from third party information.

Priority

Medium

Status

Package Release Status
gallery2
Launchpad, Ubuntu, Debian
Upstream Needs triage

moodle
Launchpad, Ubuntu, Debian
Upstream Needs triage

smarty
Launchpad, Ubuntu, Debian
Upstream Needed

Notes

AuthorNote
mdeslaur
may be a PoC here: http://www.milw0rm.com/exploits/8659
Debian says: TODO: check. It should be windows specific.

References